Bug 1118004 - [abrt] xfdesktop: g_file_get_path(): xfdesktop killed by SIGSEGV
Summary: [abrt] xfdesktop: g_file_get_path(): xfdesktop killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:619ec64d741d759068762fd70af...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 19:58 UTC by maengora
Modified: 2015-02-18 11:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:19 UTC


Attachments (Terms of Use)
File: backtrace (25.68 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: cgroup (154 bytes, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: core_backtrace (14.24 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: dso_list (10.14 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: environ (1.36 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: maps (52.54 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: open_fds (2.33 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details
File: var_log_messages (1.42 KB, text/plain)
2014-07-09 19:58 UTC, maengora
no flags Details

Description maengora 2014-07-09 19:58:08 UTC
Description of problem:
No lo recuerdo, pero tampoco estaba haciendo algo especial, creo que navegaba cuando apareció  el problema

Version-Release number of selected component:
xfdesktop-4.10.2-1.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 25addbf2d-a192-4cfc-a418-d1f3ffdc728c
crash_function: g_file_get_path
executable:     /usr/bin/xfdesktop
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_file_get_path at gfile.c:483
 #1 xfdesktop_notify_unmount at xfdesktop-notify.c:116
 #2 xfdesktop_volume_icon_menu_toggle_mount at xfdesktop-volume-icon.c:642
 #7 gtk_widget_activate at gtkwidget.c:5048
 #8 gtk_menu_shell_activate_item at gtkmenushell.c:1303
 #9 gtk_menu_shell_button_release at gtkmenushell.c:730
 #10 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #15 gtk_widget_event_internal at gtkwidget.c:5017
 #16 gtk_widget_event at gtkwidget.c:4814
 #17 gtk_propagate_event at gtkmain.c:2490

Potential duplicate: bug 814595

Comment 1 maengora 2014-07-09 19:58:10 UTC
Created attachment 916939 [details]
File: backtrace

Comment 2 maengora 2014-07-09 19:58:11 UTC
Created attachment 916940 [details]
File: cgroup

Comment 3 maengora 2014-07-09 19:58:13 UTC
Created attachment 916941 [details]
File: core_backtrace

Comment 4 maengora 2014-07-09 19:58:14 UTC
Created attachment 916942 [details]
File: dso_list

Comment 5 maengora 2014-07-09 19:58:15 UTC
Created attachment 916943 [details]
File: environ

Comment 6 maengora 2014-07-09 19:58:16 UTC
Created attachment 916944 [details]
File: exploitable

Comment 7 maengora 2014-07-09 19:58:17 UTC
Created attachment 916945 [details]
File: limits

Comment 8 maengora 2014-07-09 19:58:19 UTC
Created attachment 916946 [details]
File: maps

Comment 9 maengora 2014-07-09 19:58:20 UTC
Created attachment 916947 [details]
File: open_fds

Comment 10 maengora 2014-07-09 19:58:21 UTC
Created attachment 916948 [details]
File: proc_pid_status

Comment 11 maengora 2014-07-09 19:58:22 UTC
Created attachment 916949 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-01-09 21:26:53 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-18 11:46:19 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.